## org.hibernate.ejb.criteria.expression.function
Class LengthFunction

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<X>
                          org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression<Integer>
                              org.hibernate.ejb.criteria.expression.function.LengthFunction

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.Expression<Integer>, javax.persistence.criteria.Selection<Integer>, TupleElement<Integer>, FunctionExpression<Integer>, ExpressionImplementor<Integer>, ParameterContainer, Renderable, SelectionImplementor<Integer>, TupleElementImplementor<Integer>

    public class LengthFunction

extends ParameterizedFunctionExpression<Integer>
implements Serializable

Models the ANSI SQL `LENGTH` function.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` `NAME`

Constructor Summary
`LengthFunction(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<String> value)`

Method Summary

Methods inherited from class org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression
`getArgumentExpressions, properSize, registerParameters, render, renderArguments, wrapAsLiterals`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.expression.function.FunctionExpression
`getFunctionName, isAggregation`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### LengthFunction

    public LengthFunction(CriteriaBuilderImpl criteriaBuilder,
                          javax.persistence.criteria.Expression<String> value)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.